GCUT(1L)

NAME
cut - remove sections from each line of files

SYNOPSIS
cut {-b byte-list, +bytes byte-list} [-n] [file...] cut {-c character-list, +characters character-list} [file...] cut {-f field-list, +fields field-list} [-d delim] [-s] [+delimiter delim] [+only-delimited] [file...]

DESCRIPTION
This manual page documents the GNU version of cut. cut prints sections of each line of each input file, or the standard input if no files are given. A file name of `-' means standard input. Which sections are printed is selected by the options.

  OPTIONS
The byte-list, character-list, and field-list are one or more numbers or ranges (two numbers separated by a dash) separated by commas. The first byte, character, and field are numbered 1.

-b, +bytes byte-list
    Print only the bytes in positions listed in byte-list. Tabs and backspaces are treated like any other character; they take up 1 byte.

-c, +characters character-list
    Print only characters in positions listed in character-list. The same as -b for now, but internationalization will change that. Tabs and backspaces are treated like any other character; they take up 1 character.

-f, +fields field-list
    Print only the fields listed in field-list. Fields are separated by a TAB by default.

-d, +delimiter delim
    For -f, fields are separated by the first character in delim instead of by TAB.

-n  Do not split multibyte characters (no-op for now).

-s, +only-delimited
    For -f, do not print lines that do not contain the field separator character.